API referenceContacts
Update a contact’s topic subscriptions
PATCH
/contacts/{id}/topicsAuthorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 254Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Items
1 <= items <= 50[index: integer]?
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/contacts/string/topics" \ -H "Content-Type: application/json" \ -d '[ { "id": "string", "subscription": "opt_in" } ]'{ "id": "string"}